안드로이드를 처음 공부하다보면 보통은 인터넷 검색을 통해 예제 프로젝트를 받아서 실행해 보거나,
구입한 책에 딸려있는 예제 프로젝트를 다운받거나 CD를 통해 카피해와서 실행해 볼것입니다.

이럴때 프로젝트의 추가 과정에서 종종 에러가 발생하곤 하는데요.
그것들에 대한 처리 방법을 몇가지 이야기해볼까 합니다. 아마 다들 알고계시는 내용일거에요^^

 프로젝트 에러 대처하기

아래의 처리는 이클립스를 기반으로 한 것임을 알려드립니다.

1. 프로젝트 클린하기


보통, 안드로이드 프로젝트가 에러가 났다면, 리소스 참조 관련된 경우가 많이 있습니다.
[Menu의 Project]-[Clean....]
이럴때 프로젝트를 클린함으로써 빌드를 다시 빌드 하게 해서 에러가 없어질수도 있습니다.



2. 안드로이드 API Level 확인하기


외부에서 프로젝트를 import해서 사용하려고 할때, 해당 프로젝트에 맞는 버전이 없다면, 프로젝트는 Android API를 참조하지 못하고, 에러를 띄우게 됩니다.

이럴 경우, [프로젝트에서 마우스 우클릭]-[Properties]-[Android]에서 build target 버전을 설정할 수 있습니다.



3. 자바컴파일러 버전 확인하기


가끔 자바 컴파일러 버전이 현재 상용되고 있는 버전(1.6 이상)보다 하위 버전으로 default setting이 되어있는 경우가 있습니다.(워크스페이스마다 다르게 설정됩니다.)

상속 및 @override(오버라이드 어노테이션) 관련해서 에러가 나는 경우도 많구요.

이럴때 자바 컴파일러 설정을 확인해서 1.6 이상의 버전(level)로 변경해줍니다.
만약 1.6 이상으로 설정이 되어있다면, 1.5로 바꾼후 적용(apply)했다가 다시 1.6 이상으롤 바꾼후 적용해 보면 됩니다.



4. Android requires .class compatibility set to 5.0 Please fix project properties.
 Android requires .class compatibility set to 5.0 Please fix project properties.
가끔 에러가 뜨면서 콘솔 화면에 이런 메시지가 생기는 걸 볼 수 있습니다.
이 문제는 fix project properties를 이용해 해결 할 수 있습니다.
[프로젝트에서 마우스 우클릭]-[Android Tools]-[Fix project properties]











Posted by croute

댓글을 달아 주세요

  1. Favicon of http://dalinaum-kr.tumblr.com BlogIcon 달리나음 2011.12.08 00:18  댓글주소  수정/삭제  댓글쓰기

    이런 에러도 발생하는 군요 :) 어제 만나게 되어 반가웠습니다.